class WeblogController < ApplicationController
  around_filter :login_required, :only => [ :new, :post ]

  def index
    if params[:category_id].nil? then
      @posts = Post.find(:all, :order => 'created_at DESC')
    else
      @posts = Post.find(:all, :conditions => "category_id = '#{params[:category_id]}'", :order => 'created_at DESC')
      @category_selected = Category.find(params[:category_id])
    end
    @categories = Category.find(:all)
  end

  def new
    @post = Post.new
  end

  def create
    @post = Post.new(params[:post])
    @post.person = session[:auth]

    if @post.save
      flash[:notice] = 'Post was successfully created.'
      redirect_to :action => 'index'
    else
      render :action => 'new'
    end
  end

end
