class PopulateTables < ActiveRecord::Migration
  def self.up
    # Create people
    tom = Person.create(:name => 'tom', :password => 'password')
    light = Person.create(:name => 'light', :password => 'password')

    # Create category
    cat_fun = Category.create(:name => 'fun')
    cat_sec = Category.create(:name => 'security')

    # Create default post
    Post.create(:person => tom, :category => cat_fun, :title => 'Cool E-mail Script', :body => 'I just found this cool <a href="http://crypto.stanford.edu/cs142/projects/7/sendmail.php">e-mail script</a> the other day.')
  end

  def self.down
    Person.delete_all
    Category.delete_all
    Post.delete_all
  end
end
